// codigo mouse free walk

import java.awt.AWTException;
import java.awt.Robot;
import java.awt.MouseInfo;

Robot robot;

PVector startPoint = new PVector();
PVector destination = new PVector();
int posX;
int posY;
float count;
boolean backToTheCenter = false;
float easing = 0.1;
float targetX = displayWidth/2;
float targetY = displayHeight/2;
float clickChance = 0.1f;
boolean mouseClicked = false;

void setup() {
  try {
    robot = new Robot();
  } 
  catch (AWTException e) {
    e.printStackTrace();
  }
  size(400, 135);
  //  setDestiniation();
}

void draw() {
  int time= 40 - (millis()/1000);
  if (backToTheCenter) {
      background (255,0,0);
    text ("BACK TO THE CENTRE", 20, 45);
    text("Runnning "+ time +" seconds... Press ESC to escape this nightmare", 20, 70);
  } 
   else  {
       background (0,125,0);
    text ("FREE", 20, 45);

    text("Runnning "+ time +" seconds... Press ESC to escape this nightmare", 20, 70);
  }
  count+=0.1;
  posX = MouseInfo.getPointerInfo().getLocation().x;
  posY = MouseInfo.getPointerInfo().getLocation().y;

  if (random(1) < 0.01) {
    backToTheCenter = true;
    if (posX > (displayWidth/2)-100 && posX < (displayWidth/2)+100) 
    {
      println("ok!");
      backToTheCenter = false;
    }
  }

  if (backToTheCenter) {
    float targetX = displayWidth/2;

    float targetY = displayHeight/2;
    float dx = targetX - posX;
    posX += dx * easing;
    float dy = targetY - posY;
    posY += dy * easing;
  }

  robot.mouseMove(posX, posY);

  if (millis() > 40000) {
    exit();
  }
}

void keyPressed() {
  if (key == CODED) {
    if (keyCode == ESC) {
      exit();
    }
  }
}